regina::NormalInfo< NS_AN_QUAD_OCT > Struct Template Reference
Normal Surfaces

Stores information about quad-oct almost normal coordinates. More...

`#include <surfaces/nsquadoct.h>`

## Public Types

enum | { almostNormal = 1, spun = 1, oriented = 0 }
typedef NNormalSurfaceVectorQuadOct | Class
typedef NormalInfo < NS_AN_STANDARD > | Standard
typedef NormalInfo < NS_AN_QUAD_OCT > | Reduced

## Static Public Member Functions

static const char * | name ()

## Detailed Description

### template<>
struct regina::NormalInfo< NS_AN_QUAD_OCT >

Stores information about quad-oct almost normal coordinates.

See the general NormalInfo template notes for further details.

Python:
  Not present.

The documentation for this struct was generated from the following file:

- surfaces/nsquadoct.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).